Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231318 - corrupt jpegs freeze f-spot during import
Summary: corrupt jpegs freeze f-spot during import
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: f-spot
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-07 18:15 UTC by Jason Farrell
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: f-spot-0.3.5-2.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-23 06:44:03 UTC


Attachments (Terms of Use)
example corrupt jpeg (deleted)
2007-03-07 18:16 UTC, Jason Farrell
no flags Details

Description Jason Farrell 2007-03-07 18:15:15 UTC
Description of problem:
Certain corrupt jpeg's can freeze f-spot during the lengthy import process. The
only way to proceed is to run f-spot from the terminal to figure out on what
files it hangs, remove them, manually kill f-spot, then repeat. Not good.

Version-Release number of selected component (if applicable):
f-spot-0.2.1-1.fc6

How reproducible:
always

Steps to Reproduce:
1. attempt to import a folder containing a corrupt jpeg. not just any garbage
data will do - see attachment below.
  
Actual results:
f-spot frozen.

Expected results:
all garbage data ignored, and import successful.

Comment 1 Jason Farrell 2007-03-07 18:16:31 UTC
Created attachment 149472 [details]
example corrupt jpeg

Comment 2 Jason Farrell 2007-06-23 06:44:03 UTC
appears to be fixed now. throws an exception instead of freezing.

Exeption while reading jpeg headers
System.Exception: Invalid marker found 52
  at JpegHeader+Marker.Load (System.IO.Stream stream) [0x00000]
  at JpegHeader.Load (System.IO.Stream stream, Boolean metadata_only) [0x00000]
  at JpegHeader..ctor (System.IO.Stream stream, Boolean metadata_only) [0x00000]


Note You need to log in before you can comment on or make changes to this bug.